View Issue Details

IDProjectCategoryLast Update
0026100AI War 2Bug - OtherJan 13, 2022 6:22 pm
ReporterMeaslyTripod Assigned Tox4000Bughunter  
Severitytrivial 
Status resolvedResolutionfixed 
Product VersionBeta 3.783 The Return Of Multiplayer! 
Fixed in VersionBeta 3.784 Tractor Recursion 
Summary0026100: Suddenly an error message appeared
DescriptionWhen I tried to hack a turret server, then this error message appeared.
TagsNo tags attached.

Activities

MeaslyTripod

Jan 11, 2022 11:28 pm

reporter  

ArcenDebugLog1.txt (280,967 bytes)

BadgerBadger

Jan 11, 2022 11:43 pm

manager   ~0063748

1/12/2022 1:21:06 PM 3.783 SINGLEP Null UltraEfficientStyleData found for UEStyle: Unkown
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.Universal.ArcenSerializationBuffer.AddIntUltraEfficient (Arcen.Universal.UltraEfficientStyle UEStyle, System.Int32 Item, System.String FieldNameForErrors, Arcen.Universal.UEErrorStyle ErrorStyle) [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at ArcenSerializationAIWar2SpecificExtensions.AddBig3PrimaryKeyID_PosNoDef (Arcen.Universal.ArcenSerializationBuffer Buffer, System.Int32 Value, System.String FieldNameForErrors) [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.External.ShipGeneralFocusChatHandler.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00000] in <bd236bef0fcb482b9909484f510461e0>:0
  at Arcen.Universal.ChatClickHandler.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer, Arcen.Universal.IChatClickHandler HandlerToSerialize) [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.AIW2.Core.GameCommand.SerializeTo_AlwaysForNetworkNeverDisk (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.Core.AIWar2Networking.OnClient_SendClientCommandsToServer () [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_SendClientCommandsAndSuchToServer () [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.Core.World_AIW2.OnClientOrHost_HandleNetworkFrameCompletion () [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.Universal.Engine_Universal.OnUpdateEngineUniversalFromMainThread () [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <07644fce53f54a7c97c10d4a2191120f>:0
  at ArcenGameController.Update () [0x00000] in <a6cba12c7f0b4f47a1ff69cb43a03552>:0

1/12/2022 1:21:06 PM 3.783 SINGLEP Exception in AIWar2Networking.HandleMessage: messageType: FromClientToServer_SendMyNextCommandBatch IsFromSelfWithoutNetwork: True senderNetworkID: 0 CoreNetworkMessageType: GameSpecific buffer.GetLengthOfCurrentChunk(): 512000 Exception: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelperUltraEfficient (Arcen.Universal.UltraEfficientStyleData ueStyleData) [0x00001] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadIntUltraEfficient (Arcen.Universal.UltraEfficientStyle UEStyle, System.String FieldNameForErrors) [0x000b7] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.Universal.ArcenDeserializationBuffer.FillIntUltraEfficient (Arcen.Universal.UltraEfficientStyle UEStyle, System.Int32& Target, System.String FieldNameForErrors) [0x00000] in <ca3be25228984665bdff92d191715683>:0
  at ArcenSerializationAIWar2SpecificExtensions.ReadBig3PrimaryKeyID_PosNoDef (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String FieldNameForErrors) [0x00001] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.External.ShipGeneralFocusChatHandler.DeserializeInto (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00001] in <bd236bef0fcb482b9909484f510461e0>:0
  at Arcen.Universal.ChatClickHandler.DeserializeNew (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00019] in <ca3be25228984665bdff92d191715683>:0
  at Arcen.AIW2.Core.GameCommand.DeserializeFrom_AlwaysForNetworkNeverDisk (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean HasJustRecievedThisFromAClient) [0x003cc] in <07644fce53f54a7c97c10d4a2191120f>:0
  at Arcen.AIW2.Core.AIWar2Networking.HandleMessage (System.Int64 UniqueMessageIDFromSender, System.Boolean IsFromSelfWithoutNetwork, System.UInt32 senderNetworkID, Arcen.Universal.ArcenNetworkMessageType CoreNetworkMessageType, Arcen.Universal.ArcenDeserializationBuffer buffer) [0x00132] in <07644fce53f54a7c97c10d4a2191120f>:0

x4000Bughunter

Jan 13, 2022 6:22 pm

administrator   ~0063767

Thanks!

* Fixed an exception where "Null UltraEfficientStyleData found for UEStyle: Unkown" could pop up from FillBig3PrimaryKeyID_PosNoDef or ReadBig3PrimaryKeyID_PosNoDef.

Issue History

Date Modified Username Field Change
Jan 11, 2022 11:28 pm MeaslyTripod New Issue
Jan 11, 2022 11:28 pm MeaslyTripod File Added: ArcenDebugLog1.txt
Jan 11, 2022 11:43 pm BadgerBadger Note Added: 0063748
Jan 13, 2022 6:22 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 13, 2022 6:22 pm x4000Bughunter Status new => resolved
Jan 13, 2022 6:22 pm x4000Bughunter Resolution open => fixed
Jan 13, 2022 6:22 pm x4000Bughunter Fixed in Version => Beta 3.784 Tractor Recursion
Jan 13, 2022 6:22 pm x4000Bughunter Note Added: 0063767